scraper2vdr howto ?

  • EDIT : bevor man alles aufs neue versucht reicht vielleicht das zu lesen:
    https://dl.dropboxusercontent.…llation_und_konfiguration


    http://wiki.easy-vdr.de/index.php?title=Epgd


    Ich hab das Plugin aus dem yavdr Repo installiert. Zuerst fehlte mir mysql (liegt am Paket der Distribution) also kein Fehler des Plugins.
    Dann noch vdr-epg-daemon installiert und dachte ein 'restart vdr' sollte reichen ?
    Ziel ist erstmal die Aufnahmen mit "Bildern" zu bestücken.
    Leider passiert erstmal nichts ? Das heisst man sieht keine Bilder :D


    Was genau muss ich machen damit eben das passiert ?

    Im OSD hab ich "Videoverzeichnis nach neuen Aufnahmen scanen" durchgeführt.
    Passiert nur nichts.


    Was braucht es an Infos ?


    /etc/epgd/epgd.conf





    syslog:





    Code
    1. epgd-tool -check-pic
    2. --------------
    3. SELECT count(1) FROM images WHERE image IS NOT NULL
    4. --------------
    5. ERROR 1146 (42S02) at line 1: Table 'epg2vdr.images' doesn't exist



    was fehlt ?

  • Moin,


    wenn ich das richtig sehe, willst du nur Aufnahmen scrapen und den EPG Teil von epgd / epg2vdr gar nicht? Ich habe das zwar noch nie so getestet, sollte aber eigentlich auch funktionieren ;)


    Generell läuft das so, dass du am VDR im scraper2vdr Plugin erst mal deine Aufnahmen scannen musst. Dabei werden alle Aufnahmen in die Datenbank geschrieben. Der epgd prüft regelmäßig (ich meine einmal pro Minute), ob neue Aufnahmen in der DB sind und scrapt die dann. Das müsstest du im Log sehen, wenn du mal nach "epgd" suchst. Wohlgemerkt macht das der epgd, nicht das Plugin. Prüfe doch mal, ob in der Tabelle "Recordings" Aufnahmen vorhanden sind. Die zugehörigen Mediadaten und Bilder sollten dann in den Tabellen series_* und movies_* landen.


    Das scraper2vdr Plugin wiederum prüft regelmäßig (oder du veranlasst es per OSD), ob in der DB Daten für die Aufnahmen vorhanden sind und holt die sich dann...das kann wiederum bis zu einer Minute dauern. Danach sollten die Bilder in einem Skin, der scraper2vdr unterstützt, "eigentlich" angezeigt werden ;)


    Ciao Louis

  • PS: um "frisch" anzufangen einfach die Datenbank mit dem eogd-dropall script killen und den epgd neu starten.

  • Zitat


    willst du nur Aufnahmen scrapen und den EPG Teil von epgd / epg2vdr gar nicht?


    doch doch ! aber erstmal mit den Aufnahmen beginnen :D


    Zitat

    PS: um "frisch" anzufangen einfach die Datenbank mit dem eogd-dropall script killen und den epgd neu starten.


    teste ich gleich mal, danke !


    Zitat

    Prüfe doch mal, ob in der Tabelle "Recordings" Aufnahmen vorhanden sind


    uii
    ich weiss nicht ob das so richtig ist ?


    Zitat

    mysqlcheck -c epg2vdr Recordings -u epg2vdr -p
    Enter password:
    epg2vdr.Recordings
    Error : Table 'epg2vdr.Recordings' doesn't exist
    status : Operation failed


    warschenlich nicht ?(

  • Was hat der da gerade gemacht?

    yaVDR-Dokumentation (Ceterum censeo enchiridia esse lectitanda.)

  • nach "drop-all" und nochmaligen epgd start :


  • kaum macht man es richtig, geht es :D



    Code
    1. Dec 1 23:51:49 lianli epgd: found new recording "Brügge sehen ... und sterben?"
    2. Dec 1 23:51:49 lianli epgd: searching "Brügge sehen ... und sterben?" as series in db
    3. Dec 1 23:51:49 lianli epgd: searching "Brügge sehen ... und sterben?" as movie in db
    4. Dec 1 23:51:49 lianli epgd: nothing found in db, searching "Brügge sehen ... und sterben?" as movie online
    5. Dec 1 23:51:56 lianli epgd: found "Brügge sehen ... und sterben?" as movie online, movieId 8321
    6. Dec 1 23:51:56 lianli epgd: successfully scraped recording "Brügge sehen ... und sterben?"
    7. Dec 1 23:51:56 lianli epgd: -------------------------------------------------------


    usw. usw.


    das drop-all und danach epgd starten war das entscheidende :) danke louis

  • ok das ganze "scant" noch das videodir
    aber das hier kommt zwischendurch im syslog:


    Code
    1. vdr: scraper2vdr: SQL-Error in 'execute(stmt_execute)' - Unknown column 'videodir' in 'field list' (1054) 'Unknown column 'videodir' in 'field list'' [select dbapi, inssp, ip, lastupd, master, name, nextupd, state, updsp, uuid, version, videodir, videofree, videototal from vdrs where uuid = ?;]
    2. Dec 2 00:43:59 lianli vdr: scraper2vdr: SQL-Error in 'find()' - Unknown column 'videodir' in 'field list' (1054)


    hat nichts zu bedeuten ? Ich lass das jetzt mal weiterscanen ...

  • aber das hier kommt zwischendurch im syslog:


    Ich dachte, das hätten wir schon im August ausgeräumt: Scraper2VDR mysql Error seit heute
    Hast du eventuell mehrere unterschiedliche Versionen der Plugins im Einsatz?

    yaVDR-Dokumentation (Ceterum censeo enchiridia esse lectitanda.)

  • Moin,

    Hast du eventuell mehrere unterschiedliche Versionen der Plugins im Einsatz?


    jo die Versionen müssen passen, da haben wir aktuell ein kleines Kuddelmuddel ;)


    epgd aus Git (master branch oder http branch) und scraper2vdr aus horchis git (https://github.com/horchi/scraper2vdr) auch entsprechend master oder http branch.


    Ciao Louis

  • Ich habe die aktuellste Version aus dem master-Zweig von epgd auf meinem Cubietruck und ansonsten die Plugins aus testing-vdr für trusty - da das gut zusammenspielt, bin ich davon ausgegangen, dass es passt - seit August hat sich im master-Zweig von epgd nichts mehr am eigentlichen Programmcode geändert.

    yaVDR-Dokumentation (Ceterum censeo enchiridia esse lectitanda.)

  • seahawk1986 sehr "frische" testiso ohne Änderungen in der sources.list


    Code
    1. vdr-epg-daemon:
    2. Installiert: 1:0.2.2.git20150810.1431-0yavdr0~trusty
    3. Installationskandidat: 1:0.2.2.git20150810.1431-0yavdr0~trusty
    4. Versionstabelle:
    5. *** 1:0.2.2.git20150810.1431-0yavdr0~trusty 0
    6. 500 http://ppa.launchpad.net/yavdr/main/ubuntu/ trusty/main amd64 Packages
    7. 100 /var/lib/dpkg/status


    Code
    1. vdr-plugin-scraper2vdr:
    2. Installiert: 0.1.14-0yavdr0~trusty
    3. Installationskandidat: 0.1.14-0yavdr0~trusty
    4. Versionstabelle:
    5. *** 0.1.14-0yavdr0~trusty 0
    6. 500 http://ppa.launchpad.net/yavdr/testing-vdr/ubuntu/ trusty/main amd64 Packages
    7. 100 /var/lib/dpkg/status
  • jo die Versionen müssen passen, da haben wir aktuell ein kleines Kuddelmuddel


    Zum Glück hat das noch keiner angemerkt.... :P

    Gruß utiltiy



    VDR Projekte EPGD EPG2VDR

  • Scraper2vdr


    erstmal hab ich das plugin aktualisiert aus dem repo:


    https://github.com/horchi/scraper2vdr/commits/master


    seahawk1986
    in testing ist das plugin nicht aktuell, d.h. vom 12.10 ohne die Änderungen bis 20.10


    epgd ist von August ? Wenn ich mir das ansehe :
    http://projects.vdr-developer.…s/vdr-epg-daemon/activity


    ist da einiges gelaufen ?
    seahawk1986 ich kann das im Moment nicht aktualisieren im Repo, muss mir den ganzen Kram für Launchpad neu einrichten .... ich weiss ja nicht ob Frodo oder du Zeit hätten ?
    ich teste das jetzt noch mit aktuellem epgd weil im Moment das hier kommt:


    Code
    1. scraper2vdr: Warning: Can't find plugin epg2vdr to query uuid, retrying in 10 seconds
  • Laut der Meldung musst Du das epg2vdr Plugin installieren.


    Momentan scheint es mit dem Versionen ein grosses Durcheinander zu sein. Würde Dir empfehlen, epgd und epg2vdr aus dem http-Branch zu installieren (da wird aktiv entwickelt), sowie das scraper2vdr Plugin aus horchis git, ebenso den http-Branch

    - Client1: Thermaltake DH 102 mit 7" TouchTFT * Debian Stretch/vdr-2.4.0/graphtft/MainMenuHooks-Patch * Zotac H55-ITX WiFi * Core i3 540 * 4GB RAM ** Zotac GT630 * 1 TB System HDD * 4 GB RAM * Harmony 900 * satip-Plugin

    - Client2: Alfawise H96 Pro Plus * KODI
    - Server: Intel Pentium G3220 * DH87RL * 16GB RAM * 4x4TB 3.5" WD RED + 1x500GB 2.5" * satip-Plugin
    - SAT>IP: Inverto iLNB

  • in testing ist das plugin nicht aktuell, d.h. vom 12.10 ohne die Änderungen bis 20.10


    epgd ist von August ? Wenn ich mir das ansehe :
    http://projects.vdr-developer.org/projec…daemon/activity


    ist da einiges gelaufen ?

    Ja, in den Entwicklungs-Zweigen war einiges los - im master-Zweig waren das soweit ich gesehen habe nur kosmetische Anpassungen: http://projects.vdr-developer.…t/vdr-epg-daemon.git/log/


    Ich kann heute Abend mal wieder die Pakete aktualisieren, aber ich wundere mich, warum das bei mir mit dem gleichen Plugin-Stand problemlos funktioniert. Dann setze ich am besten auch noch eine VM für epgd unter Ubuntu auf. Vielleicht kann man ja gleich noch Meta-Pakete basteln, damit man wahlweise epgd mit einem MySQL-Server auf einem anderen Rechner oder alles auf einer Maschine betreiben kann.

    yaVDR-Dokumentation (Ceterum censeo enchiridia esse lectitanda.)

  • Am aktuellsten sind die http-Branches:


    https://github.com/horchi/scraper2vdr/commits/http
    http://projects.vdr-developer.…/repository/show?rev=http
    http://projects.vdr-developer.…/repository/show?rev=http


    Es handelt sich aber um die Entwicklerzweige, die nicht zwangsläufog stabil sind.


    Ansonsten müssten auch die jeweiligen master-Branches funktionieren.


    https://github.com/horchi/scraper2vdr/commits/master
    http://projects.vdr-developer.…pg-daemon/repository/show
    http://projects.vdr-developer.…g-epg2vdr/repository/show


    Mischen beider Zweige geht nicht, da die Datanbanken voneinander abweichen.

    - Client1: Thermaltake DH 102 mit 7" TouchTFT * Debian Stretch/vdr-2.4.0/graphtft/MainMenuHooks-Patch * Zotac H55-ITX WiFi * Core i3 540 * 4GB RAM ** Zotac GT630 * 1 TB System HDD * 4 GB RAM * Harmony 900 * satip-Plugin

    - Client2: Alfawise H96 Pro Plus * KODI
    - Server: Intel Pentium G3220 * DH87RL * 16GB RAM * 4x4TB 3.5" WD RED + 1x500GB 2.5" * satip-Plugin
    - SAT>IP: Inverto iLNB